> ## Documentation Index
> Fetch the complete documentation index at: https://docs-restapi.wplimit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Event

> Delete an event. Events with active registrations require force=true.

## Path Parameters

**id** `integer` *required*

The ID of the event to delete

## Query Parameters

**force** `boolean` (default: false)

Delete the event even if it has registrations that are not cancelled

> [!WARNING]
>
> Deleting an event also deletes its registrations and dates and, with LatePoint Pro, its ticket types, e-tickets and waiting list. Orders are **not** deleted.

## Example Request

```bash theme={null}
DELETE /wp-json/latepoint-api/v1/events/2?force=true
Authorization: Bearer YOUR_API_KEY
```

## Response

```json theme={null}
{
  "success": true,
  "message": "Event deleted successfully"
}
```

## Error Response

If the event has registrations that are not cancelled and `force` is not `true`, you will receive an error:

```json theme={null}
{
  "code": "event_has_registrations",
  "message": "Cannot delete event because it has active registrations. Use force=true to delete it with its registrations.",
  "data": {
    "status": 409
  }
}
```

Other errors: `404 event_not_found`, `503 feature_disabled` when Events is disabled in LatePoint settings.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.